ACPI_BUS_SCAN(9)

NAME
acpi_bus_scan - Add ACPI device node objects in a given namespace scope.

SYNOPSIS

int acpi_bus_scan(acpi_handle handle);

ARGUMENTS

handle
    Root of the namespace scope to scan.

DESCRIPTION

Scan a given ACPI tree (probably recently hot-plugged) and create and add found devices.

If no devices were found, -ENODEV is returned, but it does not mean that there has been a real error. There just have been no suitable ACPI objects in the table trunk from which the kernel could create a device and add an appropriate driver.

Must be called under acpi_scan_lock.

COPYRIGHT